tw.com.prolific.pl2303ghidsdk

## Enum SpiSetting.CsControl

- java.lang.Object
- - java.lang.Enum<SpiSetting.CsControl>
  - - tw.com.prolific.pl2303ghidsdk.SpiSetting.CsControl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SpiSetting.CsControl>
  Enclosing class:
    SpiSetting

      public static enum SpiSetting.CsControl
      extends java.lang.Enum<SpiSetting.CsControl>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SPI_CS_HIGH_AFTER_DATA`
    `SPI_CS_LOW_BEFORE_AND_HIGH_AFTER_DATA`
    `SPI_CS_LOW_BEFORE_DATA`
    `SPI_CS_NO_TOGGLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getnValue()`
    `static SpiSetting.CsControl` | `valueOf(int nValue)`
    `static SpiSetting.CsControl` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SpiSetting.CsControl[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SPI_CS_NO_TOGGLE

          public static final SpiSetting.CsControl SPI_CS_NO_TOGGLE

    - #### SPI_CS_LOW_BEFORE_DATA

          public static final SpiSetting.CsControl SPI_CS_LOW_BEFORE_DATA

    - #### SPI_CS_HIGH_AFTER_DATA

          public static final SpiSetting.CsControl SPI_CS_HIGH_AFTER_DATA

    - #### SPI_CS_LOW_BEFORE_AND_HIGH_AFTER_DATA

          public static final SpiSetting.CsControl SPI_CS_LOW_BEFORE_AND_HIGH_AFTER_DATA

  - ### Method Detail

    - #### values

          public static SpiSetting.CsControl[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpiSetting.CsControl c : SpiSetting.CsControl.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpiSetting.CsControl valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static SpiSetting.CsControl valueOf(int nValue)

    - #### getnValue

          public int getnValue()